Loading...
 
印刷
English

SCDEのインストールログ

参照: http://hms-dbmi.github.io/scde(external link)
GitHub: https://github.com/hms-dbmi/scde(external link)

$ # RcppArmadilloのインストールは古いバージョンのgccだとエラーになる場合がある。
$ export PATH=/install_path/gcc-5.2.0/bin:$PATH
$ export LD_LIBRARY_PATH=/install_path/gcc-5.2.0/lib64:$LD_LIBRARY_PATH
$
$ /install_path/R-3.2.0/bin/R --vanilla
> install.packages("devtools")
> library(devtools)
> 
> # SSL証明書の確認を省略する設定(インストール環境のcurlバージョンが古いためやむをえず設定した)
> httr::set_config( httr::config( ssl_verifypeer = 0L ) )
>
> # SCDEで必須のRcppArmadilloパッケージをインストール
> install.packages('RcppArmadillo', dependencies=TRUE)
>
> devtools::install_github('hms-dbmi/scde', build_vignettes = FALSE)
> 
> q()

※上のように、R-3.2.0のライブラリーに追加しました。

Last edited by nomonma .
Page last modified on 水曜日 09 of December, 2015 18:00:35 JST.